﻿using Sugar.Enties;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sugar.Enties
{
    public class RequisitionDTO
    {
        /// <summary>
        /// 签证单名
        /// </summary>
        public string RequisitionName { get; set; }
        /// <summary>
        /// 签证日期
        /// </summary>
        public string RequisitionDate { get; set; }
        /// <summary>
        /// 签证类型
        /// </summary>
        public string ChangeType { get; set; }
        /// <summary>
        /// 签证原因
        /// </summary>
        public string RequisitionReason { get; set; }
        /// <summary>
        /// 项目代码
        /// </summary>
        public string ProjectCode { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 经办人用户代码
        /// </summary>
        public string Person { get; set; }
        /// <summary>
        /// 经办人所属部门
        /// </summary>
        public string UnitCode { get; set; }
    }

    /// <summary>
    /// 申请单表单数据
    /// </summary>申请单主表
    public class RequisitionPostForm
    {
        /// <summary>
        /// 签证申请单
        /// </summary>
        public Requisition Requisition { get; set; }
        /// <summary>
        /// 关联合同
        /// </summary>
        public List<RequisitionContract> List { get; set; }
        /// <summary>
        /// 附件列表
        /// </summary>
        public List<AttachMent> AttachMentList { get; set; }
    }
}
